Debian DSA-5024-1:apache-log4j2 - 安全更新

medium Nessus 插件 ID 156189

简介

远程 Debian 主机缺少与安全相关的更新。

描述

远程 Debian 10/11 主机上安装的程序包受到 dsa-5024 公告中提及的一个漏洞影响。

- Apache Log4j2 2.0-alpha1 至 2.16.0 版(不包含 2.12.3)未成功防止来自自引用查找的不受控制的递归。这将允许能够控制线程上下文映射数据的攻击者在转译构建的字符串时造成拒绝服务。此问题已在 Log4j 2.17.0 版和 2.12.3 版中修复。(CVE-2021-45105)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级 apache-log4j2 程序包。

对于稳定发行版本 (bullseye),已在 2.17.0-1~deb11u1 版本中修复此问题。

另见

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1001891

http://www.nessus.org/u?a7f9f2b8

https://www.debian.org/security/2021/dsa-5024

https://security-tracker.debian.org/tracker/CVE-2021-45105

https://packages.debian.org/source/buster/apache-log4j2

https://packages.debian.org/source/bullseye/apache-log4j2

插件详情

严重性: Medium

ID: 156189

文件名: debian_DSA-5024.nasl

版本: 1.5

类型: local

代理: unix

发布时间: 2021/12/19

最近更新时间: 2022/2/14

支持的传感器: Frictionless Assessment Agent, Nessus Agent

风险信息

CVSS 分数来源: CVE-2021-45105

VPR

风险因素: High

分数: 7.1

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.7

矢量: AV:N/AC:M/Au:N/C:N/I:N/A:P

时间矢量: E:H/RL:OF/RC:C

CVSS v3

风险因素: Medium

基本分数: 5.9

时间分数: 5.7

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: E:H/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:liblog4j2-java, cpe:/o:debian:debian_linux:10.0, cpe:/o:debian:debian_linux:11.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可利用: true

易利用性: Exploits are available

补丁发布日期: 2021/12/18

漏洞发布日期: 2021/12/18

参考资料信息

CVE: CVE-2021-45105

IAVA: 2021-A-0573